package com.yonge.cooleshow.auth.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 实名认证请求对象
 *
 * @Author: liweifan
 * @Data: 2022/3/18 15:04
 */
@ApiModel(value = "RealnameAuthReq对象", description = "实名认证请求对象")
public class RealnameAuthReq implements Serializable {

    @NotBlank(message = "用户真实姓名不能为空")
    @ApiModelProperty(value = "用户真实姓名", required = true)
    private String realName;

    @NotBlank(message = "用户身份证号不能为空")
    @ApiModelProperty(value = "用户身份证号", required = true)
    private String idCardNo;

    @NotNull(message = "缺少是否修改用户信息")
    @ApiModelProperty(value = "是否修改用户信息", required = true)
    private Boolean save;

    @ApiModelProperty("是否签署协议")
    private Boolean contract = false;

    private Long userId;
    // 性别(1,男 0,女)
    private int gender;
    // 出生日期
    private Date birthday;

    public Boolean getContract() {
        return contract;
    }

    public void setContract(Boolean contract) {
        this.contract = contract;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getIdCardNo() {
        return idCardNo;
    }

    public void setIdCardNo(String idCardNo) {
        this.idCardNo = idCardNo;
    }

    public Boolean getSave() {
        return save;
    }

    public void setSave(Boolean save) {
        this.save = save;
    }

    public int getGender() {
        return gender;
    }

    public void setGender(int gender) {
        this.gender = gender;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }
}
